# Function to get server state
def serverStatus(server):
  cd('/ServerLifeCycleRuntimes/' + server.getName() )
  return cmo.getState()
#
def startAdminserver():
  nmConnect(username, password, admindomainname, 5100, domain, domain_dir)
  nmStart('AdminServer')
  nmDisconnect()
# End of functions
#
# Set some constants
VsID        weblogic'
VsID        weblogic123'
admindomainname='DNS   app41.aac.DNS   '
domain = 'EEServiceDomain'

#
# Derived constants
url = 't3://' + admindomainname + ':7100'
domain_dir =  os.environ['EEDOMAIN_HOME'] 
nmhome =  os.environ['WL_HOME'] + r'/common/nodemanager'
nmpfile =  os.environ['WL_HOME'] + r'/common/nodemanager/nodemanager.properties'
#
# Start the nodemanager
#startNodeManager(NodeManagerHome=nmhome,PropertiesFile=nmpfile)
#startNodeManager(verbose='true', NodeManagerHome=nmhome, ListenPort='5100', ListenAddress='DNS   app41.aac.DNS   ')


#
# Connect to the AdminServer
try:
  connect(username, password,url)
except:
  # Aiks: AdminServer is not running. Start it now and retry
  startAdminserver()
  connect(username, password,url)
#
# Loop through the managed servers and start all servers running on localhost
svrs = cmo.getServers()
domainRuntime()
for server in svrs:
  # Do not start the adminserver, it's already running
  if server.getName() != 'AdminServer':
    # Get state and machine
    serverState = serverStatus(server)
    machine = server.getListenAddress()
    print server.getName() + " **** is " + serverState + " on " + machine
    #
    # startup if needed
    if serverState == "RUNNING":
      #if machine == localhost:
        shutdown(server.getName(),'Server')
        serverState = serverStatus(server)
        print "Now " + server.getName() + " is " + serverState + " on " + machine
         
disconnect()
exit()
