/**
 * 
 */
package gov.va.med.esr.voa.webservice.builder;

import gov.va.med.esr.common.model.person.Person;
import gov.va.med.esr.voa.webservice.SubmitFormRequest;

/**
 * @author DNS   CHINNR
 *
 */
public interface DemographicsBuilderFactory {
	public void buildDemographics(Person person,SubmitFormRequest submitFormRequest);
	
	/**
	 * RTC Task 236652  - auxiliary method to handle the case when veteran selects No for the 
	 * disclose financial details from the VOA UI
	 * @return a partial person with identity traits and ICN
	 */
	public Person getPartialPerson(SubmitFormRequest submitFormRequest);

}
